Oracle Linux 6 : openjpeg (ELSA-2017-0559)

High Nessus Plugin ID 97821


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2017:0559 :

An update for openjpeg is now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

OpenJPEG is an open source library for reading and writing image files in JPEG2000 format.

Security Fix(es) :

* Multiple integer overflow flaws, leading to heap-based buffer overflows, were found in OpenJPEG. A specially crafted JPEG2000 image could cause an application using OpenJPEG to crash or, potentially, execute arbitrary code. (CVE-2016-5139, CVE-2016-5158, CVE-2016-5159, CVE-2016-7163)

* A vulnerability was found in the patch for CVE-2013-6045 for OpenJPEG. A specially crafted JPEG2000 image, when read by an application using OpenJPEG, could cause heap-based buffer overflows leading to a crash or, potentially, arbitrary code execution.

The CVE-2016-9675 issue was discovered by Doran Moppert (Red Hat Product Security).


Update the affected openjpeg packages.

See Also

Plugin Details

Severity: High

ID: 97821

File Name: oraclelinux_ELSA-2017-0559.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/03/20

Modified: 2017/03/28

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:ND/RC:UR


Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:openjpeg, p-cpe:/a:oracle:linux:openjpeg-devel, p-cpe:/a:oracle:linux:openjpeg-libs, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/03/20

Reference Information

CVE: CVE-2013-6045, CVE-2016-5139, CVE-2016-5158, CVE-2016-5159, CVE-2016-7163, CVE-2016-9675

OSVDB: 100638, 142530, 142663, 142664, 143027, 143652

RHSA: 2017:0559